Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 188205 - Review Request: pessulus
Summary: Review Request: pessulus
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
: 193105 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-04-06 22:56 UTC by Damien Durand
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-09 18:17:02 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
fixed pessulus spec (deleted)
2006-04-07 19:50 UTC, Tom "spot" Callaway
no flags Details | Diff

Description Damien Durand 2006-04-06 22:56:46 UTC
Spec Name or Url: http://glive.tuxfamily.org/fedora/pessulus/pessulus.spec
SRPM Name or Url: http://glive.tuxfamily.org/fedora/pessulus/pessulus-0.9-1.fc6.src.rpm

Description: Pessulus is a lockdown editor for GNOME, written in python. Pessulus 
enables administrators to set mandatory settings in GConf. The 
users can not change these settings.
Use of pessulus can be useful on computers that are open to use by 
everyone, e.g. in an internet cafe.

Comment 1 Tom "spot" Callaway 2006-04-07 19:49:58 UTC
A few changes need to be made to this package:

- You were missing a lot of BuildRequires. Look carefully at what %configure is
checking for.
- Remove unnecessary Requires: There is no need to hardcode gtk when pygtk is a
Requires.
- You should always use version-release in changelog entries
- Make sure you have correct directory ownership, instead of wild-carding %{_libdir}
- use python_sitearch for python packages
- make python "scripts" executable, this will shutup rpmlint
- use find_lang to grab locales

I'm attaching a fixed spec to this email. The following review is based on the
fixed spec:

Good:

- rpmlint checks return:

E: pessulus no-binary (safe to ignore)
E: pessulus script-without-shellbang
/usr/lib/python2.4/site-packages/Pessulus/__init__.py (safe to ignore, this is a
0 file)

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- locales handled properly
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime 
- desktop file OK

Unless you have issues with any of the changes in my spec, the package (as
modified by my spec) is approved.


Comment 2 Tom "spot" Callaway 2006-04-07 19:50:44 UTC
Created attachment 127480 [details]
fixed pessulus spec

Comment 3 Damien Durand 2006-04-07 21:46:01 UTC
Thanks for your patch, it's my second rpm package, i'm sorry for the made errors.
For me, your patch is welcome ;-) but i'm surprised that the changes are not
documented in the extras guideline.

Comment 4 Brian Pepple 2006-04-09 19:47:07 UTC
Spot, this is the first package for this submitter.  Based on all the changes
you made to fix this spec file, I'm a little leery of having him sponsored based
on this package.  He should probably submit a few more packages, so we can
assess his knowledge before sponsoring him.

Comment 5 Tom "spot" Callaway 2006-04-09 23:09:37 UTC
Damien, do you have another package we can look at before I sponsor you? 

Comment 6 Damien Durand 2006-04-10 10:23:25 UTC
Hi Tom, you can check these packages :

- https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=188435

- https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=188440

Comment 7 Ville Skyttä 2006-05-25 11:09:41 UTC
*** Bug 193105 has been marked as a duplicate of this bug. ***

Comment 8 Christian Iseli 2007-01-03 00:41:47 UTC
Changed summary for tracking purposes.



Note You need to log in before you can comment on or make changes to this bug.